Subject: Re: bug#35108: ungoogled-chromium fails to install

From: Marius Bakke <[email-masked]>
Date: Thu, 16 May 2019 16:52:14 +0200

Jeff Bauer <[email-masked]> writes:

>> Unfortunately, you cropped the interesting part of the error message.
>> Can you show us more?  It would interesting to see what happened before.
>>
>> This backtrace just shows us that the command we invoke with “invoke”
>> returned an error.  That’s not very helpful.
>>
>> --
>> Ricardo
>
> I'm not the OP, but I got the same error message while attempting
> to install ungoogled-chromium.  Here's the last 100 lines of my
> log.  I can submit the entire compressed file if it would be
> helpful.

Hello!

The problem with Ungoogled-Chromium is that it (at some point) uses
6-8GiB of memory *per core* during the build.

It would be great to codify this constraint in the package definition,
but I can't think of an easy way short of parsing /proc/meminfo.

For now we can disable parallel building, which will arguably provide
a better user experience than thrashing and crashing systems...

Thoughts?